#
# spec file for package perl-Test-WWW-Mechanize
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Test-WWW-Mechanize
Version:        1.54
Release:        bp156.3.1
%define cpan_name Test-WWW-Mechanize
Summary:        Testing-specific WWW::Mechanize subclass
License:        Artistic-2.0
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp::Assert::More) >= 1.16
BuildRequires:  perl(HTML::Form)
BuildRequires:  perl(HTML::TokeParser)
BuildRequires:  perl(HTTP::Server::Simple) >= 0.42
BuildRequires:  perl(HTTP::Server::Simple::CGI)
BuildRequires:  perl(LWP) >= 6.02
BuildRequires:  perl(Test::Builder::Tester) >= 1.09
BuildRequires:  perl(Test::LongString) >= 0.15
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(URI::file)
BuildRequires:  perl(WWW::Mechanize) >= 1.68
BuildRequires:  perl(parent)
Requires:       perl(Carp::Assert::More) >= 1.16
Requires:       perl(HTML::Form)
Requires:       perl(HTML::TokeParser)
Requires:       perl(HTTP::Server::Simple) >= 0.42
Requires:       perl(HTTP::Server::Simple::CGI)
Requires:       perl(LWP) >= 6.02
Requires:       perl(Test::Builder::Tester) >= 1.09
Requires:       perl(Test::LongString) >= 0.15
Requires:       perl(Test::More) >= 0.96
Requires:       perl(URI::file)
Requires:       perl(WWW::Mechanize) >= 1.68
Requires:       perl(parent)
%{perl_requires}

%description
Testing-specific WWW::Mechanize subclass

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Fri Dec 11 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.54
  see /usr/share/doc/packages/perl-Test-WWW-Mechanize/Changes
  1.54    Tue Dec  8 23:25:06 CST 2020
  - -----------------------------------
  [ENHANCEMENTS]
  Use ok() instead of cmp_ok() inside of lacks_uncapped_inputs().
  This output makes more sense.
  lacks_uncapped_inputs() now has a a default message if one isn't supplied.
  [FIXES]
  Fixed the subtest name inside of C<lacks_ids_ok>.
  Fixed the minimum version of Carp::Assert::More in Makefile.PL.
* Thu Dec  6 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.52
  see /usr/share/doc/packages/perl-Test-WWW-Mechanize/Changes
  1.52    Wed Dec  5 10:00:56 CST 2018
  - -----------------------------------
  [ENHANCEMENTS]
  click_ok() method can now take a button with X/Y coordinates.
  Thanks to GitHub user @marderh.  (GH #45)
  Added the ability to modify the HTML that the html_tidy_ok() validates.
  See the content_for_validation() method. (GH #61)
  Add a set of methods for existence of IDs: id_exists(), id_exists_ok(),
  ids_exist_ok(), lacks_id_ok() and lacks_ids_ok(). (GH #48)
  Add button_exists(), button_exists_ok() and lacks_button_ok()
  methods.  (GH #50)
  [FIXES]
  Clarified warnings to make it clear that certain modules are
  optional. Thanks, Matthew Chae.
* Tue Apr 17 2018 coolo@suse.com
- updated to 1.50
  see /usr/share/doc/packages/perl-Test-WWW-Mechanize/Changes
* Fri Dec 30 2016 coolo@suse.com
- updated to 1.48
  see /usr/share/doc/packages/perl-Test-WWW-Mechanize/Changes
  1.48 Thu Dec 29 22:45:29 CST 2016
  - -----------------------------------
  [FIXES]
  The linting method html_lint_ok() was not calling the HTML::Lint API
  correctly, so may have missed some HTML errors at the end of a page.
  This also applies to get, post, etc if you have the autolint argument on.
* Mon Aug  1 2016 coolo@suse.com
- updated to 1.46
  see /usr/share/doc/packages/perl-Test-WWW-Mechanize/Changes
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.44
  If you want to use the autolint functionality, you'll have to have
  HTML::Lint 2.20.
  [FIXES]
  Custom lint objects don't get reset before they get used, making
  autolint with a custom lint object practically useless.
  https://github.com/petdance/test-www-mechanize/issues/25
  [ENHANCEMENTS]
  Added a $mech->autolint() method so you can turn autolinting on and off
  in mid-program.  Thanks, Mike O'Regan.
  New functions $mech->scrape_text_by_id() and $mech->scrape_text_by_attr()
  let you extract text from your pages.  Convenience function
  $mech->scraped_id_is() makes it easy to scrape and compare in one
  function.
    <h1 id="pagetitle">My Awesome Page!</h1>
    [#] Verify that HTML is there with:
    $mech->scraped_id_is( 'pagetitle', 'My Awesome Page!' );
  [FIXES]
  $mech->has_tag() now handles nested tags more sensibly.  This fixes
  Google Code ticket #1.
  [INTERNALS]
  Explicitly requires Test::Simple 0.94 or higher.
  Brought over t/TestServer.pm from WWW::Mechanize which fixes a number
* Fri Feb 10 2012 coolo@suse.com
- initial package 1.38
  * created by cpanspec 1.78.03
